• 🏆 Texturing Contest #33 is OPEN! Contestants must re-texture a SD unit model found in-game (Warcraft 3 Classic), recreating the unit into a peaceful NPC version. 🔗Click here to enter!
  • 🏆 Hive's 6th HD Modeling Contest: Mechanical is now open! Design and model a mechanical creature, mechanized animal, a futuristic robotic being, or anything else your imagination can tinker with! 📅 Submissions close on June 30, 2024. Don't miss this opportunity to let your creativity shine! Enter now and show us your mechanical masterpiece! 🔗 Click here to enter!

version

  1. Kruthuss

    Aren't multiple WC3 versions required to play maps and campains causing you a headache?

    Good day. To be honest, I wouldn't make it much of an issue though I feel a little confused with it. Reforged, 1.31 (Pre-Reforged) and 1.27b... or some more. When I want to look for some good maps and campaigns to play, looking up which version it requires to play feels a bit problematic as I...
  2. ProlRayder

    What version do you play?

  3. Retera

    How Should It All Be?

    Hey guys, I had a thought about brainstorming something. I am working on making a new game on libgdx engine. I have mentioned it in several places on this site and to some people on discord, but basically the game looks like this: The premise of the game is for it to exactly match Warcraft 3...
  4. loktar

    WC3 Download Archive (1.00 - 1.31.1 + BETA & DEMO)

    Below are lists of WC3 installation and patch downloads. Please don't share any cracked or otherwise manipulated files. This list is only intended for people who already own the game, you still need a CD-key! 1.01c 1.04c 1.10 TFT: 1.20a; 1.20e 1.23a 1.28.0; 1.28.1; 1.28.2; 1.28.3; 1.28.4...
  5. FeruEnzeruJKun

    [solved] Is it okay that i can update my WC3 version to 1.30.2, please? :")

    i am going to do a little or a medium bit of the WE (with 1.30.2) for a little excuse rather than now before i can continue reading Warcraft lore (on Wowpedia or warcraft sites) or Starcraft lore (SC wikia or somewhere) or others unfortunately. :ain: To be obvious, i was occasionally in a mood...
  6. Amigoltu

    [General] WE 1.30 function list and TESH

    Hello everyone. I wanted to ask - is there a way to get SharpCraft WEX working with 1.30b version? And, if not, is there another way to get a list of functions and TESH? Or well, I can do without TESH, but the function list is basically necessary for JASS triggers.
  7. deepstrasz

    [Import] 1.29.2 object editor data on newer patches

    Hey, is there a way to have all my object editor data kept by the manner of exporting and importing it? Say, I'll not use Latest (Melee Patch) but Custom TfT 1.07 (the stable/standard version?) but first export all object data of 1.29.2 and then import it over the 1.07 version (once the map is...
  8. Cheezeman

    Hosting a map on GitHub - is it even possible?

    Has anyone attempted to host their map as a git repo on (example) GitHub? Some version control would be nice but I don't see how you would do it. .w3x is just a binary file so hosting that alone would be pointless. Extracting all files from .w3x using MPQMaster would let us view some of the...
  9. Furry Nova

    Newest "The Chosen Ones" Campaign Version Available?

    I've decided to play this awesome campaign again after getting stuck on the Obelisk boss on Chapter 9. I've looked around and read that there's newer versions available. This post Campaign Download Link links me to the main v1.0 when it says v1.9. This post The Chosen Ones 1.9i has expired...
Top